Subject: Re: bug#47432: 28.0.50; Dired using ! or & on file should fail without command supplied

From: Jean Louis <[email-masked]>
Date: Sat, 27 Mar 2021 11:42:17 +0300

* Arthur Miller <[email-masked]> [2021-03-27 10:52]:
> Jean Louis <[email-masked]> writes:
> 
> > In Dired, when using ! or & on a file, it should file if there is no
> > command supplied.
> >
> > This is what happens if I use ! on file ~/.asoundrc but without
> > supplying command, just pressing RET:
> >
> > /bin/bash: line 1: .asoundrc: command not found
> >
> > But it should not, if command is not supplied in:
> > (dired-do-shell-command COMMAND &optional ARG FILE-LIST) -- then it
> > shall rather silently fail or tell "Command not entered" or nothing to
> > do.
> 
> Why is "Command not entered" to prefer to "Command not found"?

It is meant as example, I leave those decisions to developers.

Now I can see that ! and & without command are acting on the file as
the file should be executed.

Let us say I have Screenshot.pl executable file, if I run ! on it, the
file is executed.

This means there was attempt to execute ~/.asoundrc -- I find that
insecure and not logical.

And I do not understand it quite how it works. Was there an attempt to
execute program with bash?

Why should there be attempt to execute non-executable files?